﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits=" MindFusion.Scheduling.Samples.VB.DualView._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
    TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MindFusion WebPlanner Sample - Dual View</title>
    <link href="common/jquery-ui.min.css" rel="stylesheet" />
    <link href="common/samples.css" rel="stylesheet" />
    <script type="text/javascript" src="common/jquery.min.js"></script>
    <script type="text/javascript" src="common/jquery-ui.min.js"></script>
    <script type="text/javascript" src="common/samples.js"></script>
    <script type="text/javascript">
        //Initiate PostBack on DateClick event, so that Timetable view changes it's date accordingly
        function DateClick(sender, args)
        {
            __doPostBack('__Page');
        }
    </script>
</head>
<body>
    <form id="form2" runat="server">
    <asp:ScriptManager ID="ScriptManager2" runat="server" />
    <input type="hidden" id="collapsed" runat="server" />
    <div id="header" style="height: 49px;">
        <div style="float: right; margin-right: 5px; margin-top: 17px;">
            <button id="expandButton" onclick="onExpandCollapse()">
                &gt;</button>
        </div>
    </div>
    <div id="info" style="top: 60px; bottom: 24px;">
        <div id="infoTab" style="padding: 10px;">
            <h1>
                About this sample</h1>
            <p>
                Create items in the Timetable schedule to the right to see how the corresponding
                days in the Month calendar to the left become marked. Select dates in the Month
                calendar to the left to edit the appointments in these days in the Timetable schedule
                to the right.
            </p>
        </div>
    </div>
    <div id="content" style="top: 60px; bottom: 24px;">
        <div style="position: absolute; left: 0px; top: 0px; bottom: 0px; width: 500px; border-right: 1px solid #e2e4e7;
            overflow: hidden;">
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" style="position: absolute; left: 0px;
                top: 0px; right: 0px; bottom: 0px;">
                <ContentTemplate>
                    <MindFusion:Calendar ID="_calendar" runat="server" CurrentView="MonthRange" DateHeaderClickScript="DateClick"
                        Height="100%" Width="300px" OnVisibleDateChanged="_calendar_VisibleDateChanged"
                        Theme="Lila" UseForms="False" CalendarLoadScript="onCalendarLoad">
                        <selection allowmultiple="Disabled" />
                        <monthrangesettings monthsperrow="1" numberofmonths="3" visiblerows="3">
						</monthrangesettings>
                        <itemsettings itemsvisible="Disabled" />
                        <monthsettings hidetrailingweeks="Enabled" showpaddingdays="Disabled">
							<DaySettings HeaderSize="0">
							</DaySettings>
						</monthsettings>
                    </MindFusion:Calendar>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:ListBox ID="lbItems" runat="server" AutoPostBack="false" Width="200px" Height="100%"
                Style="position: absolute; left: 300px; top: 0px; bottom: 0px;"></asp:ListBox>
        </div>
        <div style="position: absolute; left: 451px; top: 0px; right: 0px; bottom: 0px;">
            <asp:UpdatePanel ID="UpdatePanel2" runat="server" style="position: absolute; left: 0px;
                top: 0px; right: 0px; bottom: 0px;">
                <ContentTemplate>
                    <MindFusion:Calendar ID="_schedule" runat="server" AutoPostBack="true" CurrentView="Timetable"
                        Height="100%" Width="100%" Theme="Lila">
                        <timetablesettings headerdateformat="d MMM" showworktime="Disabled">
						</timetablesettings>
                    </MindFusion:Calendar>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </div>
    <div id="footer" style="height: 24px;">
        <span id="copyright"></span>
    </div>
    <script type="text/javascript">

        //Function responsible for identifying currently selected cell and applying style to the DayHeader
        function onCalendarLoad(sender)
        {
            var schedule = $find('_schedule');
            var calendar = $find('_calendar');
            var apps = calendar.getItems();

            for (var i = 0; i < apps.length; i++)
            {
                var date = apps[i].startTime;
                var endDate = apps[i].endTime;
                var headers = calendar.getTimeCells(date, endDate, true);
                for (var k = 0, m = headers.length; k < m; k++)
                {
                    headers[k].titleText.style.color = 'red';
                }
            }

        }
    </script>
    </form>
</body>
</html>
